commit:     9a4f33cd926e761bcef740121b9d64d5da378095
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sat Jan  7 14:09:19 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Jan  7 17:42:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a4f33cd

dev-util/gi-docgen: Version bump to 2023.1

Bug: https://bugs.gentoo.org/878675
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/29000
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/gi-docgen/Manifest                |  1 +
 dev-util/gi-docgen/gi-docgen-2023.1.ebuild | 37 ++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-util/gi-docgen/Manifest b/dev-util/gi-docgen/Manifest
index 349349f96761..e57524dcaf7c 100644
--- a/dev-util/gi-docgen/Manifest
+++ b/dev-util/gi-docgen/Manifest
@@ -1 +1,2 @@
 DIST gi-docgen-2022.2.tar.gz 2515533 BLAKE2B 
d624fe287628ca01cb5746a08dc43bb97375ca538524481f5ee068fb3484e4526c875f374e01ffff02345d13b2d966dd54ad01c8f4e692116fac050cf5277d94
 SHA512 
adbcfecb6cc93785d372fa877e02b1fe08f9965fea52256a63c988a95f100738f564ae64c971a4a7ddded6ef792609d2a8e8e9461d81e982816abe96c2139ee9
+DIST gi-docgen-2023.1.tar.gz 2516453 BLAKE2B 
d97ca86f1e9c29de3b1500a08b93a1617dddfc6f29314f1d0f1cbd3ec7b367f4de7b8d7d7eba9fbe5af0a8bbcdd4c4bb0786dfd4deda0acd19ac6372dea24d0a
 SHA512 
fb19af318a66ba475e04826d9b61163ec85e6ea4503847ec6685940424bac8108cf385546bad1de80fedd1ddbb21054644083dc4908caf7e2e616c6e0673b0e3

diff --git a/dev-util/gi-docgen/gi-docgen-2023.1.ebuild 
b/dev-util/gi-docgen/gi-docgen-2023.1.ebuild
new file mode 100644
index 000000000000..ffde780d2356
--- /dev/null
+++ b/dev-util/gi-docgen/gi-docgen-2023.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="A documentation generator for GObject-based libraries"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gi-docgen 
https://pypi.org/project/gi-docgen/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 GPL-3+ ) CC0-1.0 OFL-1.1 MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 
~riscv ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+               >=dev-python/markupsafe-1[${PYTHON_USEDEP}]
+               >=dev-python/pygments-2[${PYTHON_USEDEP}]
+               >=dev-python/jinja-2[${PYTHON_USEDEP}]
+               >=dev-python/typogrify-2[${PYTHON_USEDEP}]
+       ')
+       $(python_gen_cond_dep '
+               dev-python/toml[${PYTHON_USEDEP}]
+       ' python3_{8..10})
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' python3_11)
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest

Reply via email to